#!/bin/bash

# Скрипт для забирания истории котировок на вход принимает месяц.

# Используем:
# ./tcmb.gov.tr-yah.sh month year

cd $(dirname $)/..

HOST=http://www.tcmb.gov.tr/bilgiamackur

current=$(date +%m)
m=${1:-$current}
y=${2:-2012}

tmp=$(mktemp)
trap "rm -f ${tmp}" EXIT

for i in {1..31}; do
    if [[ ${i} -le 9 ]]; then
        i="0${i}"
    fi
    url=${HOST}/${y}${m}/${i}${m}${y}.xml
    wget -q ${url} -O $tmp
    if [ $? -eq 0 ]; then
        python utils/sqlc.py tcmb.gov.tr-uah ${tmp} 2> /dev/null
    fi
done

